#include<bits/stdc++.h>
using namespace std;
const int maxn=3e7+2;
std::vector<int> solve(std::vector<int> A) {
vector<int>ans;
ans.clear();
for(int i=0; i<A.size()/2-1; i++) {
      ans.push_back(i);
}
ans.push_back(A.size()-1);
for(int i=A.size()/2-1; i<A.size()-1; i++) {
      ans.push_back(i);
}
return ans;
}
